Create a business
Create a new business
curl --request POST \
--url https://api.slant.app/v1/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"book_id": "abc123xyz",
"name": "Acme Corp",
"industry": "Technology",
"website_url": "https://acme.com",
"tax_id": "12-3456789",
"additional_info": "<string>",
"email_addresses": [
{
"email": "info@acme.com",
"email_type": "business",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "work",
"is_primary": true
}
],
"addresses": [
{
"line1": "123 Main St",
"line2": "Suite 100",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US",
"address_type": "work",
"is_primary": true
}
],
"tag_ids": [
"<string>"
]
}
'import requests
url = "https://api.slant.app/v1/businesses"
payload = {
"book_id": "abc123xyz",
"name": "Acme Corp",
"industry": "Technology",
"website_url": "https://acme.com",
"tax_id": "12-3456789",
"additional_info": "<string>",
"email_addresses": [
{
"email": "info@acme.com",
"email_type": "business",
"is_primary": True
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "work",
"is_primary": True
}
],
"addresses": [
{
"line1": "123 Main St",
"line2": "Suite 100",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US",
"address_type": "work",
"is_primary": True
}
],
"tag_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
book_id: 'abc123xyz',
name: 'Acme Corp',
industry: 'Technology',
website_url: 'https://acme.com',
tax_id: '12-3456789',
additional_info: '<string>',
email_addresses: [{email: 'info@acme.com', email_type: 'business', is_primary: true}],
phone_numbers: [{phone_number: '+15555551234', phone_type: 'work', is_primary: true}],
addresses: [
{
line1: '123 Main St',
line2: 'Suite 100',
city: 'New York',
state: 'NY',
zip: '10001',
country_code: 'US',
address_type: 'work',
is_primary: true
}
],
tag_ids: ['<string>']
})
};
fetch('https://api.slant.app/v1/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123xyz",
"book_id": "book123xyz",
"name": "Acme Corp",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"industry": "Technology",
"website_url": "https://acme.com",
"tax_id": "12-3456789",
"additional_info": "<string>",
"email_addresses": [
{
"email": "john.doe@example.com",
"email_type": "personal",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": true,
"extension": "1234"
}
],
"addresses": [
{
"address_type": "home",
"is_primary": true,
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US"
}
],
"tags": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.
Body
The book ID
"abc123xyz"
Business name
"Acme Corp"
Industry
"Technology"
Website URL
"https://acme.com"
Tax ID
"12-3456789"
Additional information
Array of email addresses
Show child attributes
Show child attributes
Array of phone numbers
Show child attributes
Show child attributes
Array of addresses
Show child attributes
Show child attributes
Array of tag IDs to associate
Response
business created
The business ID
"abc123xyz"
The book ID
"book123xyz"
Business name
"Acme Corp"
When the business was created
When the business was last updated
Industry
"Technology"
Website URL
"https://acme.com"
Tax ID
"12-3456789"
Additional information
Array of email addresses
Show child attributes
Show child attributes
Array of phone numbers
Show child attributes
Show child attributes
Array of addresses
Show child attributes
Show child attributes
Array of tags
Show child attributes
Show child attributes
